Bug 242228 - Review Request: ps2eps - PS-to-EPS converter
Summary: Review Request: ps2eps - PS-to-EPS converter
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrice Dumas
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-02 11:43 UTC by Terje Røsten
Modified: 2011-05-05 15:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-06 15:14:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)
fix insecure tmp use + add shebang (1.44 KB, patch)
2007-06-02 16:54 UTC, Patrice Dumas
no flags Details | Diff

Description Terje Røsten 2007-06-02 11:43:24 UTC
Spec URL: http://web.phys.ntnu.no/~terjeros/ps2eps/ps2eps.spec
SRPM URL: http://web.phys.ntnu.no/~terjeros/ps2eps/ps2eps-1.64-1.fc7.src.rpm
Description:
ps2eps is a tool to produce Encapsulated PostScript Files (EPS/EPSF)
from usual one-paged Postscript documents. It calculates correct
Bounding Boxes for those EPS files and filters some special postscript
command sequences that can produce errorneous results on printers.

Comment 1 Patrice Dumas 2007-06-02 16:51:38 UTC
I suggest adding -p to the man pages install command to keep
timestamps.

Also I suggest using %defattr (-, root, root, -) instead of
%defattr (-, root, root).

INSTALL.txt shouldn't be shipped.

bbox is a bit too generic for a program name that is mainly
used from another application. I think it could be discussed with
upstream.

Comment 2 Patrice Dumas 2007-06-02 16:54:49 UTC
Created attachment 155988 [details]
fix insecure tmp use + add shebang

This patch hopefully fixes an insecure use of tmp bug. I
also patched the shebang at the same time. I think that the
issue should really be brought up upstream.

Comment 3 Terje Røsten 2007-06-02 17:05:04 UTC
> This patch hopefully fixes an insecure use of tmp bug. I
> also patched the shebang at the same time. I think that the
> issue should really be brought up upstream.

Thanks, will send upstream a mail, here is new spec and srpms:

Spec URL: http://web.phys.ntnu.no/~terjeros/ps2eps/ps2eps.spec
SRPM URL: http://web.phys.ntnu.no/~terjeros/ps2eps/ps2eps-1.64-2.fc7.src.rpm

Comment 4 Patrice Dumas 2007-06-02 17:16:25 UTC
* rpmlint is silent
* free software, license included
* follow packaging guidelines
* spec is legible
* sane provides
* source match upstream
89aec3f075cee662f2367b12337b5c3e  ps2eps-1.64.tar.gz
* %files section right

APPROVED

- please bring the issue of the bbox name to upstream
- I personally prefer adding explicitly names in %files to
  know when things change. This is only a suggestion/personal
  preference.

Comment 5 Terje Røsten 2007-06-05 20:39:24 UTC
> APPROVED

Thanks!
 
> - please bring the issue of the bbox name to upstream

Ok.

> - I personally prefer adding explicitly names in %files to
>   know when things change. 

Yeah, a nice advise, however not critical is this case as files is installed by
hand and
not by e.g. configure && make && make install


New Package CVS Request
=======================
Package Name: ps2eps
Short Description: PS-to-EPS converter
Owners: terjeros@phys.ntnu.no
Branches: FC-5 FC-6 F-7
InitialCC:




Comment 6 Patrice Dumas 2007-06-05 20:52:53 UTC
(In reply to comment #5)

> Yeah, a nice advise, however not critical is this case as files is installed by
> hand and
> not by e.g. configure && make && make install

Indeed! You are so right.

Comment 7 Tom "spot" Callaway 2007-06-05 21:09:21 UTC
cvs done

Comment 8 Patrice Dumas 2008-11-20 20:45:10 UTC
Package Change Request
======================
Package Name: ps2eps
New Branches: EL-5
Owners: pertusus


Terje agreed by mail that I could maintain the EPEL branch. Terje, I think that you should confirm here. Also tell if you want to be comaintaner of EPEL branches.

Comment 9 Terje Røsten 2008-11-20 21:42:32 UTC
I can confirm that, thanks Pat!

Comment 10 Dennis Gilmore 2008-11-25 16:56:14 UTC
CVS Done

Comment 11 Orion Poplawski 2011-05-03 17:13:22 UTC
Package Change Request
======================
Package Name: ps2eps
New Branches: el6
Owners: orion

Comment 12 Terje Røsten 2011-05-03 17:28:13 UTC
In private communication Orion and I agreed that Orion will maintain EPEL 6 branches of ps2eps, thanks!

Comment 13 Jason Tibbitts 2011-05-05 15:28:43 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.